%define major 0

%define libalsatoss %mklibname alsatoss %{major}
%define libaoss %mklibname aoss %{major}
%define devname %mklibname %{name} -d

Summary:	Advanced Linux Sound Architecture (ALSA) library
Name:		alsa-oss
Version:	1.0.28
Release:	2
Epoch:		1
License:	GPLv2+
Group:		Sound
Url:		http://www.alsa-project.org/
Source0:	ftp://ftp.alsa-project.org/pub/oss-lib/%{name}-%{version}.tar.bz2
Patch0:		alsa-oss-1.0.12-aoss.patch
BuildRequires:	doxygen
BuildRequires:	pkgconfig(alsa)

%description
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility

#----------------------------------------------------------------------------

%package -n %{libalsatoss}
Summary:	Advanced Linux Sound Architecture (ALSA) library
Group:		System/Libraries
Conflicts:	%{_lib}alsa-oss0 < 1:1.0.28
Obsoletes:	%{_lib}alsa-oss0 < 1:1.0.28

%description -n %{libalsatoss}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility.

%files -n %{libalsatoss}
%doc COPYING
%{_libdir}/libalsatoss.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{libaoss}
Summary:	Advanced Linux Sound Architecture (ALSA) library
Group:		System/Libraries
Conflicts:	%{_lib}alsa-oss0 < 1:1.0.28

%description -n %{libaoss}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
This library provides oss compatibility.

%files -n %{libaoss}
%doc COPYING
%{_libdir}/libaoss.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for Advanced Linux Sound Architecture (ALSA)
Group:		Development/C
Requires:	%{libalsatoss} = %{EVRD}
Requires:	%{libaoss} = %{EVRD}
Provides:	%{name}-devel  = %{EVRD}

%description -n %{devname}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains files needed in order to develop an application
that made use of ALSA.

%files -n %{devname}
%doc COPYING
%{_libdir}/*.so
%{_includedir}/oss-redir.h

#----------------------------------------------------------------------------

%package -n aoss
Summary:	Wrapper script to ease ALSA-OSS compatibility library usage
Group:		Development/C

%description -n aoss
aoss is a simple wrapper script which facilitates the use
of the ALSA OSS compatibility library.
It just sets the appropriate LD_PRELOAD path and then runs the command.

This is useful in cases where routing settings (which can
be made in your .asoundrc file) need to be applied to commands that use the
OSS API.

%files -n aoss
%doc COPYING
%{_bindir}/aoss
%{_mandir}/man1/aoss.*

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
autoreconf -fiv
%configure2_5x --disable-static
%make CFLAGS="%{optflags} -O0" LDFLAGS="%{ldflags} -ldl"

%install
mkdir -p %{buildroot}%{_includedir}/sys
mkdir -p %{buildroot}%{_libdir}

%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.a


%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 1:1.0.28-2
+ Revision: ea0f599
- MassBuild#440: Increase release tag


